<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddGroups2 Method (IEdmUserMgr7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr7 Interface : AddGroups2 Method (IEdmUserMgr7)

Visual Basic
C#
C++/CLI

ppoGroupData
  Array of EdmGroupData2 structures; one structure for each group

Adds the specified user groups to the vault.

# Syntax

Visual Basic |
--- | ---

    Sub AddGroups2( _
       ByRef ppoGroupData() As EdmGroupData2 _
    )

C# |
--- | ---

    void AddGroups2(
       out EdmGroupData2[] ppoGroupData
    )

C++/CLI |
--- | ---

    void AddGroups2(
    &   [Out] array<EdmGroupData2>^ ppoGroupData
    )

#### Parameters

ppoGroupData
  Array of EdmGroupData2 structures; one structure for each group

# Example

Vault Utilities (VB.NET)
Vault Utilities (C#)

# Remarks

This method supersedes IEdmUserMgr6::AddGroups by providing the ability to specify permissions for added groups.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr7 Interface
IEdmUserMgr7 Members

# Availability

SOLIDWORKS PDM Professional 2010